namespace SafeCampus.Application.Manager.DeepelephManager;
/// <summary>
/// 深象对接接口
/// </summary>
public interface IDeepelephManager
{
    /// <summary>
    /// 获取token
    /// </summary>
    /// <returns></returns>
    public string GetToken();

    /// <summary>
    /// 启动预警订阅
    /// </summary>
    /// <returns></returns>
    Task SubscribeAlarm();
    /// <summary>
    /// 释放连接
    /// </summary>
    /// <returns></returns>
    public Task DisconnectAsync();
    /// <summary>
    /// 启动点名订阅
    /// </summary>
    /// <returns></returns>
    Task SubscriberRoomCall();
    /// <summary>
    /// 开启无感考勤订阅
    /// </summary>
    /// <returns></returns>
    Task SubscriberAttendance();
}